For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all Collections

List all Collections

get

This endpoint allows you to retrieve a paginated list of all your Collections. By default, a maximum of ten Collections are shown per page.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumber · nullableOptional
limitnumber · max: 100 · nullableOptional
Responses
200

Returns a paginated list of Collections

application/json
pagenumberRequired

Page number

Example: 1
limitnumberRequired

Number per page

Example: 10
totalPagesnumberRequired

Total number of pages

Example: 1
totalResultsnumberRequired

Total number of results

Example: 1
get/v1/collections

Example

curl "https://api.underdogprotocol.com/v1/collections?limit=1&page=1" \
        -H "Authorization: Bearer {token}"
import axios from 'axios';

const getCollections = () => {
  try {
    const response = await axios.get('https://api.underdogprotocol.com/v1/collections', {
      params: {
        limit: 1,
        page: 1
      },
      headers: {
        'Authorization': `Bearer ${token}`
      }
    });

    console.log(response.data);
  } catch (error) {
    console.error(error);
  }
}

Last updated